Bug 1473796 - (CVE-2017-11449) CVE-2017-11449 ImageMagick: coders/mpc.c don't validade blob sizes of mpc images received from stdin
CVE-2017-11449 ImageMagick: coders/mpc.c don't validade blob sizes of mpc ima...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 1473797
  Show dependency treegraph
Reported: 2017-07-21 13:12 EDT by Pedro Sampaio
Modified: 2017-07-21 13:18 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pedro Sampaio 2017-07-21 13:12:15 EDT
coders/mpc.c in ImageMagick before 7.0.6-1 does not enable seekable streams and thus cannot validate blob sizes, which allows remote attackers to cause a denial of service (application crash) or possibly have unspecified other impact via an image received from stdin.

Upstream patch:



Comment 1 Pedro Sampaio 2017-07-21 13:12:30 EDT
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1473797]

Note You need to log in before you can comment on or make changes to this bug.